import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { Router } from '@angular/router';
import { AuthService } from 'src/app/_services';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.sass']
})
export class LoginComponent implements OnInit {
  public loginForm!: FormGroup
  public submited: boolean = false

  constructor(private formBuilder: FormBuilder,private auth:AuthService, private router: Router) { }

  ngOnInit(): void {
    this.loginForm = this.formBuilder.group(
      {

        username: ['', Validators.required],
        password: ['',[
            Validators.required,
            Validators.minLength(6),
            Validators.maxLength(40)
          ]
        ],
      });
  }

  get f() {
    return this.loginForm.controls;
  }

 public onSubmit() {
    if (this.loginForm.invalid) {
      this.submited = true;
      return;
    }
    const reqObj = {
      userName: this.loginForm.value.username,
      password: this.loginForm.value.password,
    };

    this.auth.login(reqObj).subscribe(
      (data: any) => {
        this.router.navigateByUrl('/admin/dashboard');
      },
      (error) => {
        localStorage.clear();
      }
    );
  }



}

